Skip to main content
`Ctrl`+`K`

# MatGetLocalToGlobalMapping

Gets the local-to-global numbering set by `MatSetLocalToGlobalMapping()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetLocalToGlobalMapping(Mat A, ISLocalToGlobalMapping *rmapping, ISLocalToGlobalMapping *cmapping)

Not Collective

## Input Parameter

- A - the matrix

## Output Parameters

- rmapping - row mapping

- cmapping - column mapping

## See Also

Matrices, `Mat`, `MatSetLocalToGlobalMapping()`, `MatSetValuesLocal()`

## Level

advanced

## Location

src/mat/interface/matrix.c

## Examples

src/ksp/ksp/tutorials/ex71.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages